Name:           openssl-pkcs11
Version:        0.4.10
Release:        1
Summary:        A PKCS#11 engine for use with OpenSSL
License:        LGPLv2+ and BSD
URL:            https://github.com/OpenSC/libp11
Source0:        https://github.com/OpenSC/libp11/releases/download/libp11-%{version}/libp11-%{version}.tar.gz

BuildRequires:  openssl-devel autoconf automake libtool
BuildRequires:  softhsm opensc procps-ng p11-kit

Provides:       libp11 = %{version}-%{release}
Obsoletes:      libp11 < 0.4.7-4
Provides:       engine_pkcs11 = %{version}-%{release}
Obsoletes:      engine_pkcs11 < 0.4.7-4

Requires:       p11-kit-trust openssl >= 1.0.2

%description 
openssl-pkcs11 is an implementation of an engine for OpenSSL. It can be loaded
using code, config file or command line and will pass any function call by
OpenSSL to a PKCS#11 module. openssl-pkcs11 is meant to be used with smart
cards and software for using smart cards in PKCS#11 format, such as OpenSC.

%package devel
Summary: Development headers and libraries for %{name}
Requires:%{name} = %{version}-%{release}
Provides:libp11-devel = %{version}-%{release}

%description devel
Development headers and libraries for %{name}

%prep
%autosetup  -n libp11-%{version} -p1 

%build
autoreconf -fvi
export CFLAGS="%{optflags}"
%configure --with-enginesdir=%{_libdir}/engines-1.1
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/engines-1.1
%make_install
%delete_la

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc NEWS
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/engines-1.1/*.so

%files devel
%defattr(-,root,root)
%doc examples/  
%{_libdir}/libp11.so
%{_libdir}/libp11.a
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*.h
%exclude %{_defaultdocdir}/libp11/*

%changelog
* Mon Sep 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.10-1
- Package init
